Bug 1913325 - 1.20 rebase for openshift-apiserver
Summary: 1.20 rebase for openshift-apiserver
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-apiserver
Version: 4.7
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.7.0
Assignee: Stefan Schimanski
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On:
Blocks: 1887392 1895053
TreeView+ depends on / blocked
 
Reported: 2021-01-06 14:15 UTC by Adam Kaplan
Modified: 2021-02-24 15:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:50:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift oauth-apiserver pull 35 0 None closed Bug 1913325: bump kube to 0.20.1 2021-01-28 11:25:36 UTC
Github openshift openshift-apiserver pull 171 0 None closed Bug 1913325: Bump to 1.20.1 2021-01-28 11:25:36 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:50:43 UTC

Description Adam Kaplan 2021-01-06 14:15:43 UTC
Description of problem:

openshift-apiserver is currently not rebased to k8s 1.20.

Version-Release number of selected component (if applicable): 4.7


Additional info:

This blocks openshift/api updates from merging. In particular, this blocks Bug #1895053

Comment 2 Ke Wang 2021-01-15 08:37:05 UTC
$ git clone https://github.com/openshift/openshift-apiserver
$ git pull
$ oc adm release info --commits registry.ci.openshift.org/ocp/release:4.7.0-0.nightly-2021-01-14-211319 | grep ' openshift-apiserver '
 openshift-apiserver   https://github.com/openshift/openshift-apiserver     9aa1ff543fee47e6dbf4019f35395be97b93412c

$ git log --date=local --pretty="%h %an %cd - %s" 9aa1ff5 | grep '#171'
acc2fc503 OpenShift Merge Robot Mon Jan 11 22:58:07 2021 - Merge pull request #171 from sttts/sttts-1.20.1-bump


$ git clone https://github.com/openshift/oauth-apiserver
$ git pull
$ $ oc adm release info --commits registry.ci.openshift.org/ocp/release:4.7.0-0.nightly-2021-01-14-211319 | grep 'oauth-apiserver'
  oauth-apiserver         https://github.com/openshift/oauth-apiserver        ccf8426caefb251d164e13c1669a8504a29c23c2

$ git log --date=local --pretty="%h %an %cd - %s" ccf8426 | grep '#35'
ccf8426 OpenShift Merge Robot Tue Jan 12 01:30:42 2021 - Merge pull request #35 from stlaz/kube_bump_120

From above checking, the bug related PRs have been landed on the latest payload.


- Run oc version command line to check the server version, 

$ oc version --help
Print the client and server version information for the current context

Usage:
  oc version [flags]

Examples:
  # Print the OpenShift client, kube-apiserver, and openshift-apiserver version information for the current context.
  oc version
  # Print the OpenShift client, kube-apiserver, and openshift-apiserver version numbers for the current context.
  oc version --short
  # Print the OpenShift client version information for the current context.
  oc version --client

Options:
      --client=false: Client version only (no server required).
  -o, --output='': One of 'yaml' or 'json'.

Use "oc options" for a list of global command-line options (applies to all commands).

$ oc version
Client Version: 4.6.0-202012172338.p0-02c1100
Server Version: 4.7.0-0.nightly-2021-01-14-211319
Kubernetes Version: v1.20.0+7616fab

Based on above checking, the openshift-apiserver version is v1.20, so move the bug VERIFIED.

Comment 5 errata-xmlrpc 2021-02-24 15:50:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.